Package org.globus.gram.internal

# Class GRAMProtocol

java.lang.Object
org.globus.util.http.HTTPProtocol
org.globus.gram.internal.GRAMProtocol

public class GRAMProtocol extends HTTPProtocol

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`APPLICATION`
`static final String`
`CALLBACK_URL`
`static final String`
`CANCEL`
`static final int`
`GRAM_PROTOCOL_VERSION`
`static final String`
`JOB_STATE_MASK`
`static final String`
`PROTOCOL_VERSION`
`static final String`
`PROTOCOL_VERSION_LINE`
`static final String`
`REGISTER`
`static final String`
`RENEW`
`static final String`
`RSL`
`static final String`
`SIGNAL`
`static final String`
`STATUS`
`static final String`
`UNREGISTER`

### Fields inherited from class org.globus.util.http.HTTPProtocol

`CHUNKED, CHUNKING, CONNECTION, CONNECTION_CLOSE, CONTENT_LENGTH, CONTENT_TYPE, CRLF, HOST, HTTP_VERSION, LOCATION, METHOD, SERVER, USER_AGENT`

## Constructor Summary

Constructors
Constructor
Description
`GRAMProtocol()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`CANCEL_JOB(String jobmanager_url, String hostname)`
`static String`
`OKReply()`
`static String`
`PING(String servicename, String hostname)`
`static String`
`REGISTER_CALLBACK(String jobmanager_url, String hostname, int state_mask, String callback_url)`
`static String`
`RENEW(String jobmanager_url, String hostname)`
`static String`
`REQUEST(String servicename, String hostname, int state_mask, String callback_url, String rsl_string)`
`static String`
`SIGNAL(String jobmanager_url, String hostname, int signal, String arg)`
`static String`
`STATUS_POLL(String jobmanager_url, String hostname)`
`static String`
`UNREGISTER_CALLBACK(String jobmanager_url, String hostname, String callback_url)`

### Methods inherited from class org.globus.util.http.HTTPProtocol

`createGETHeader, createHTTPHeader, createPUTHeader, ErrorReply, getBadRequestErrorReply, getErrorReply, getFileNotFoundErrorReply, getForbiddenErrorReply, getOKReply, getOKReply, getServerErrorReply`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GRAM_PROTOCOL_VERSION

public static final int GRAM_PROTOCOL_VERSION

See Also:
  - Constant Field Values

### APPLICATION

public static final String APPLICATION

See Also:
  - Constant Field Values

### PROTOCOL_VERSION

public static final String PROTOCOL_VERSION

See Also:
  - Constant Field Values

### JOB_STATE_MASK

public static final String JOB_STATE_MASK

See Also:
  - Constant Field Values

### CALLBACK_URL

public static final String CALLBACK_URL

See Also:
  - Constant Field Values

### RSL

public static final String RSL

See Also:
  - Constant Field Values

### STATUS

public static final String STATUS

See Also:
  - Constant Field Values

### CANCEL

public static final String CANCEL

See Also:
  - Constant Field Values

### REGISTER

public static final String REGISTER

See Also:
  - Constant Field Values

### UNREGISTER

public static final String UNREGISTER

See Also:
  - Constant Field Values

### SIGNAL

public static final String SIGNAL

See Also:
  - Constant Field Values

### RENEW

public static final String RENEW

See Also:
  - Constant Field Values

### PROTOCOL_VERSION_LINE

public static final String PROTOCOL_VERSION_LINE

See Also:
  - Constant Field Values

## Constructor Details

### GRAMProtocol

public GRAMProtocol()

## Method Details

### REQUEST

public static String REQUEST(String servicename, String hostname, int state_mask, String callback_url, String rsl_string)

### PING

public static String PING(String servicename, String hostname)

### STATUS_POLL

public static String STATUS_POLL(String jobmanager_url, String hostname)

### SIGNAL

public static String SIGNAL(String jobmanager_url, String hostname, int signal, String arg)

### REGISTER_CALLBACK

public static String REGISTER_CALLBACK(String jobmanager_url, String hostname, int state_mask, String callback_url)

### UNREGISTER_CALLBACK

public static String UNREGISTER_CALLBACK(String jobmanager_url, String hostname, String callback_url)

### RENEW

public static String RENEW(String jobmanager_url, String hostname)

### CANCEL_JOB

public static String CANCEL_JOB(String jobmanager_url, String hostname)

### OKReply

public static String OKReply()